Subject: RE: [Entmib] Entity State MIB Status - issue 307

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 23 Jul 2004 11:45:33 +0200

> >  307 'notSupported' is semantically wrong
> > - This has been changed to 'unavailable'. Some people had wanted
> > 'unknown'. Should
> > I have changed this to unknown?
> 
> Part of the difficulty in naming this one is that it seems to be doing
> triple-duty for notApplicable as well as notSupported and notAvailable.
> It's unclear whether the distinction would actually be useful, so as long
> as everyone agrees that "unavailable" includes these cases, 
> I'd be happy.
> 
And Juergen writes:

> So "unknown" would IMHO be the better choice as it is clearly vague.

I personally feel that unknown might better represent the 3 possible
situations. ANd if those are indeed all 3 possible, then I'd
suggest to state that in the DESCRIPTION clause as well.

Bert

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib